;------------------------------------------------------------------------------
; UniDOS (R) & BIOS undocumented futures. WARNING!!!		 YGP mnemonics.

InterruptAddr	=	$ee00		; Addr of tbl with interrupt addresses
InterruptPage	=	$ed80		; Addr of tbl with interrupt pages
					;   2 pages per byte (4 bit each)

ResidentPtr	=	$ee1a		; int ($0d) Resident Pointer
LoMemPtr	=	$ee1c		; int ($0e) LoMemory Pointer
HiMemPtr	=	$ee1e		; int ($0f) HiMemory Pointer

MC6845_Addr	=	$e604		; MC6845 address register
MC6845_Data	=	$e605		; MC6845 data register

PIA_drA 	=	$e628		; MC6820 Data register A
PIA_drB 	=	$e629		; MC6820 Data register B
PIA_crA 	=	$e62a		; MC6820 Control register A
PIA_crB 	=	$e62b		; MC6820 Control register B

ROMswitch	equ	$e6f0		; ROM page No register

Line_27 	=	$bfa0		; buffer for 27 line of screen
scrmode 	=	$ED12		; video mode
system_scrbase	=	$ED20		; ptr to 26-th line of text screen
Hard_Version	=	$FFF7

		section 0
_Save_INT_Rtrn	ds	2		; Return to Interrupt handler
_Save_INT_Page	ds	1		; PageNo of caller's ROMpage
_Save_INT_SWI	ds	5		; Save of SWI area in ZPage
_Save_INT_PC	ds	2		; Save of PC+2
_Save_INT_Size	=	*		; size of save stack
		ends

;------------------------------------------------------------------------------
